Subject: Re: Paper comparing OSPF and ISIS

From: "Naidu, Venkata" <[email-masked]>
Date: Wed, 4 Sep 2002 12:39:39 -0400

Manav,

 Some clarification on the text:

-> LLC/SNAP header adds 3 more bytes.

 As per RFC2684 (which obsoletes RFC1483), LLC header for IPv4 is
 8 bytes.

-> Thus if we know that we are using only IP then it is better
-> to go in for VC mux encaps because we save a lot of bandwidth.

  No! you can't save *lot* of bandwidth :) May be when running a
  greedy TCP application. :-)

  RFC3035 reads:
   In addition, if two LDP peers are connected via an LC-ATM interface,
   a non-MPLS connection, capable of carrying unlabelled IP packets,
   MUST be available.  This non-MPLS connection is used to carry LDP
   packets between the two peers, and MAY also be used (but is not
   required to be used) for other unlabeled packets (such as OSPF
   packets, etc.).  The LLC/SNAP encapsulation of RFC 2684 [5] MUST be
   used on the non-MPLS connection.

-> IS-IS requires ATM LLC/SNAP encapsulation because its not an
-> IP packet thereby loosing on the bandwidth efficiency we have
-> with OSPF.

 More over, whether to use LLC encapsulation or not is definitely
 not based on bandwidth efficiency. LLC Encapsulation is needed
 when more than one protocol might be carried over the same VC.

 Dave Katz presentation also had this "TCP ACK" statement when
 comparing OSPF and ISIS. IMHO, the smallest OSPF packet (let us
 take Hello gives "20 (IP header) + 24 (OSPF header) + 20 (Hello header)"
 (then LLC 8 byte header + AAL5 header) definitely won't fit in
 a single cell. So, w.r.t OSPF vs ISIS one additional cell
 (because of LLC encapsulation) is not much important.

 Dave might give some more clarification to this.

 However, your paper gives a very good insight on the differences
 between OSPF and ISIS.

--
Venkata.

---

From: Manav Bhatia <[email-masked]>
Date: Thu, 5 Sep 2002 14:02:07 +0530

Venkata,

|
| -> Thus if we know that we are using only IP then it is better
| -> to go in for VC mux encaps because we save a lot of bandwidth.
|
|   No! you can't save *lot* of bandwidth :) May be when running a
|   greedy TCP application. :-)

I was comparing the bandwidth when running TCP applications only :-)
because using VC mux encaps we can send TCP ACK in one cell and i read in
some paper that TCP ACKs constitute a major percentage of the traffic.

|
|   RFC3035 reads:
|    In addition, if two LDP peers are connected via an LC-ATM interface,
|    a non-MPLS connection, capable of carrying unlabelled IP packets,
|    MUST be available.  This non-MPLS connection is used to carry LDP
|    packets between the two peers, and MAY also be used (but is not
|    required to be used) for other unlabeled packets (such as OSPF
|    packets, etc.).  The LLC/SNAP encapsulation of RFC 2684 [5] MUST be
|    used on the non-MPLS connection.
|
| -> IS-IS requires ATM LLC/SNAP encapsulation because its not an
| -> IP packet thereby loosing on the bandwidth efficiency we have
| -> with OSPF.
|
|  More over, whether to use LLC encapsulation or not is definitely
|  not based on bandwidth efficiency. LLC Encapsulation is needed
|  when more than one protocol might be carried over the same VC.

Agreed.

What i wanted to convey was that if we use IS-IS then we have to go in for
LLC/SNAP encaps because you'll be running TCP/IP applications too. But if
you're running OSPF then you can as well use VC mux.

|
|  Dave Katz presentation also had this "TCP ACK" statement when
|  comparing OSPF and ISIS. IMHO, the smallest OSPF packet (let us
|  take Hello gives "20 (IP header) + 24 (OSPF header) + 20 (Hello header)"
|  (then LLC 8 byte header + AAL5 header) definitely won't fit in
|  a single cell. So, w.r.t OSPF vs ISIS one additional cell
|  (because of LLC encapsulation) is not much important.

I believe it is not the protocol packets that we're talking of fitting in
one cell or not but rather the data (TCP to be precise) packets wherein we
can gain some efficiency. But then as Dave says there is a hack for that
too :-)

|
|  Dave might give some more clarification to this.
|
|  However, your paper gives a very good insight on the differences
|  between OSPF and ISIS.

Thanks.

Regards,
Manav